Bug 22334 - Update request: kernel 4.14.13
Summary: Update request: kernel 4.14.13
Status: RESOLVED FIXED
Alias: None
Product: Mageia
Classification: Unclassified
Component: Security (show other bugs)
Version: 6
Hardware: All Linux
Priority: Normal normal
Target Milestone: ---
Assignee: QA Team
QA Contact: Sec team
URL:
Whiteboard: MGA6-64-OK, MGA6-32-OK
Keywords: advisory, validated_update
Depends on: 22337
Blocks:
  Show dependency treegraph
 
Reported: 2018-01-06 23:31 CET by Thomas Backlund
Modified: 2018-01-13 15:29 CET (History)
11 users (show)

See Also:
Source RPM: kernel
CVE:
Status comment:


Attachments
Hang at "booting the kernel" window (32.34 KB, image/png)
2018-01-11 19:47 CET, William Kenney
Details
grub boot commands (56.93 KB, image/png)
2018-01-11 23:39 CET, PC LX
Details
kernel messages before freeze (10.77 KB, image/png)
2018-01-11 23:39 CET, PC LX
Details

Description Thomas Backlund 2018-01-06 23:31:58 CET
Meltdown fixed kernel...

Advisory will follow

There might be need for a rebuild for additional fixes... but please start testing so we can catch regressions...


SRPMS:
kernel-4.14.12-2.mga6.src.rpm
kernel-userspace-headers-4.14.12-2.mga6.src.rpm
kmod-vboxadditions-5.2.2-6.mga6.src.rpm
kmod-virtualbox-5.2.2-6.mga6.src.rpm
kmod-xtables-addons-2.13-9.mga6.src.rpm


i586:
cpupower-4.14.12-2.mga6.i586.rpm
cpupower-devel-4.14.12-2.mga6.i586.rpm
kernel-desktop-4.14.12-2.mga6-1-1.mga6.i586.rpm
kernel-desktop586-4.14.12-2.mga6-1-1.mga6.i586.rpm
kernel-desktop586-devel-4.14.12-2.mga6-1-1.mga6.i586.rpm
kernel-desktop586-devel-latest-4.14.12-2.mga6.i586.rpm
kernel-desktop586-latest-4.14.12-2.mga6.i586.rpm
kernel-desktop-devel-4.14.12-2.mga6-1-1.mga6.i586.rpm
kernel-desktop-devel-latest-4.14.12-2.mga6.i586.rpm
kernel-desktop-latest-4.14.12-2.mga6.i586.rpm
kernel-doc-4.14.12-2.mga6.noarch.rpm
kernel-server-4.14.12-2.mga6-1-1.mga6.i586.rpm
kernel-server-devel-4.14.12-2.mga6-1-1.mga6.i586.rpm
kernel-server-devel-latest-4.14.12-2.mga6.i586.rpm
kernel-server-latest-4.14.12-2.mga6.i586.rpm
kernel-source-4.14.12-2.mga6-1-1.mga6.noarch.rpm
kernel-source-latest-4.14.12-2.mga6.noarch.rpm
kernel-userspace-headers-4.14.12-2.mga6.i586.rpm
perf-4.14.12-2.mga6.i586.rpm

vboxadditions-kernel-4.14.12-desktop-2.mga6-5.2.2-6.mga6.i586.rpm
vboxadditions-kernel-4.14.12-desktop586-2.mga6-5.2.2-6.mga6.i586.rpm
vboxadditions-kernel-4.14.12-server-2.mga6-5.2.2-6.mga6.i586.rpm
vboxadditions-kernel-desktop586-latest-5.2.2-6.mga6.i586.rpm
vboxadditions-kernel-desktop-latest-5.2.2-6.mga6.i586.rpm
vboxadditions-kernel-server-latest-5.2.2-6.mga6.i586.rpm

virtualbox-kernel-4.14.12-desktop-2.mga6-5.2.2-6.mga6.i586.rpm
virtualbox-kernel-4.14.12-desktop586-2.mga6-5.2.2-6.mga6.i586.rpm
virtualbox-kernel-4.14.12-server-2.mga6-5.2.2-6.mga6.i586.rpm
virtualbox-kernel-desktop586-latest-5.2.2-6.mga6.i586.rpm
virtualbox-kernel-desktop-latest-5.2.2-6.mga6.i586.rpm
virtualbox-kernel-server-latest-5.2.2-6.mga6.i586.rpm

xtables-addons-kernel-4.14.12-desktop-2.mga6-2.13-9.mga6.i586.rpm
xtables-addons-kernel-4.14.12-desktop586-2.mga6-2.13-9.mga6.i586.rpm
xtables-addons-kernel-4.14.12-server-2.mga6-2.13-9.mga6.i586.rpm
xtables-addons-kernel-desktop586-latest-2.13-9.mga6.i586.rpm
xtables-addons-kernel-desktop-latest-2.13-9.mga6.i586.rpm
xtables-addons-kernel-server-latest-2.13-9.mga6.i586.rpm


x86_64:
cpupower-4.14.12-2.mga6.x86_64.rpm
cpupower-devel-4.14.12-2.mga6.x86_64.rpm
kernel-desktop-4.14.12-2.mga6-1-1.mga6.x86_64.rpm
kernel-desktop-devel-4.14.12-2.mga6-1-1.mga6.x86_64.rpm
kernel-desktop-devel-latest-4.14.12-2.mga6.x86_64.rpm
kernel-desktop-latest-4.14.12-2.mga6.x86_64.rpm
kernel-doc-4.14.12-2.mga6.noarch.rpm
kernel-server-4.14.12-2.mga6-1-1.mga6.x86_64.rpm
kernel-server-devel-4.14.12-2.mga6-1-1.mga6.x86_64.rpm
kernel-server-devel-latest-4.14.12-2.mga6.x86_64.rpm
kernel-server-latest-4.14.12-2.mga6.x86_64.rpm
kernel-source-4.14.12-2.mga6-1-1.mga6.noarch.rpm
kernel-source-latest-4.14.12-2.mga6.noarch.rpm
kernel-userspace-headers-4.14.12-2.mga6.x86_64.rpm
perf-4.14.12-2.mga6.x86_64.rpm

vboxadditions-kernel-4.14.12-desktop-2.mga6-5.2.2-6.mga6.x86_64.rpm
vboxadditions-kernel-4.14.12-server-2.mga6-5.2.2-6.mga6.x86_64.rpm
vboxadditions-kernel-desktop-latest-5.2.2-6.mga6.x86_64.rpm
vboxadditions-kernel-server-latest-5.2.2-6.mga6.x86_64.rpm

virtualbox-kernel-4.14.12-desktop-2.mga6-5.2.2-6.mga6.x86_64.rpm
virtualbox-kernel-4.14.12-server-2.mga6-5.2.2-6.mga6.x86_64.rpm
virtualbox-kernel-desktop-latest-5.2.2-6.mga6.x86_64.rpm
virtualbox-kernel-server-latest-5.2.2-6.mga6.x86_64.rpm

xtables-addons-kernel-4.14.12-desktop-2.mga6-2.13-9.mga6.x86_64.rpm
xtables-addons-kernel-4.14.12-server-2.mga6-2.13-9.mga6.x86_64.rpm
xtables-addons-kernel-desktop-latest-2.13-9.mga6.x86_64.rpm
xtables-addons-kernel-server-latest-2.13-9.mga6.x86_64.rpm
Thomas Backlund 2018-01-06 23:38:37 CET

Depends on: (none) => 22337

Comment 1 Thomas Andrews 2018-01-07 00:41:05 CET
On real hardware, ASRock motherboard, Athlon X2 7750 processor, Geforce 9800 GT graphics, Atheros wifi.

32-bit server kernel, Xfce system, updating from Kernel 4.14.10.

Packages under test:

- cpupower-4.14.12-2.mga6.i586
- kernel-server-4.14.12-2.mga6-1-1.mga6.i586
- kernel-server-devel-4.14.12-2.mga6-1-1.mga6.i586
- kernel-server-devel-latest-4.14.12-2.mga6.i586
- kernel-server-latest-4.14.12-2.mga6.i586
- kernel-userspace-headers-4.14.12-2.mga6.i586
- microcode-0.20171215-1.mga6.nonfree.noarch

No regressions noted, fixed Bug 22330. So far, looking good.

CC: (none) => andrewsfarm

Comment 2 Thomas Andrews 2018-01-07 02:09:23 CET
Same hardware as Comment 1, this time with a 64-bit Plasma system. 64-bit versions of the same packages installed, with the addition of virtualbox kernel modules.

So far, looking good. Seems less... sluggish that with kernel 4.14.10, but that may be an illusion.
Comment 3 Chris B 2018-01-07 11:15:26 CET
Testing a vbox M6 guest system.

[chris@vbox-m6 ~]$ uname -a
Linux vbox-m6 4.14.12-desktop-2.mga6 #1 SMP Sat Jan 6 14:19:53 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux

Installed:
kernel-desktop-4.14.12-2.mga6-1-1.mga6.x86_64.rpm
kernel-desktop-latest-4.14.12-2.mga6.x86_64.rpm
vboxadditions-kernel-4.14.12-desktop-2.mga6-5.2.2-6.mga6.x86_64.rpm
vboxadditions-kernel-desktop-latest-5.2.2-6.mga6.x86_64.rpm
virtualbox-kernel-4.14.12-desktop-2.mga6-5.2.2-6.mga6.x86_64.rpm
virtualbox-kernel-desktop-latest-5.2.2-6.mga6.x86_64.rpm
(virtualbox-guest-additions-5.2.2-1.mga6.x86_64)

Host is a fully updated M6 xfce system, vbox version 5.2.2, vbox extensions 5.2.2.

Network, sound, screen resolution, shared folders, shared clipboard - all is well.

CC: (none) => shybluenight

Comment 4 Len Lawrence 2018-01-07 13:00:34 CET
System:    Host: difda Kernel: 4.14.12-desktop-2.mga6 x86_64 
           Desktop: MATE 1.18.0  Distro: Mageia 6 mga6
CPU:       Quad core Intel Core i7-4790 (-HT-MCP-) speed/max: 3599/4000 MHz
Machine:   Device: desktop Mobo: MSI model: Z97-G43 (MS-7816) v: 3.0
           UEFI: American Megatrends v: V17.8 date: 12/24/2014
Graphics:  Card: NVIDIA GM204 [GeForce GTX 970]
           GLX Version: 4.5.0 NVIDIA 384.111
RAM:       31.37 GB (4x8GB)

System on ssd sda7, /home on ssd sdb1, /data on spindle drive.
Rebooted to working desktop.  Wired network connection OK.  Remote logins over LAN.  Logged in to the router on firefox.  read/write NFS directory working.
Youtube videos and pulseaudio working together. Likewise vlc and pulse.
Ran harddrake2 via mcc.  All hardware present and correct.
Stress tests and glmark2 ran fine.
Installed virtualbox and then dkms-virtualbox to align it with the new kernel.
Booted a Mageia 5 guest.  Running normally.

Shall revert to this kernel for long term checks after testing tmb and linus.
OK so far.

CC: (none) => tarazed25

Comment 5 Lewis Smith 2018-01-07 17:57:13 CET
Testing M6/64
real EFI hardware with AMD/ATI/Radeon graphics. Ethernet to ISP box. AMD processor, 4Gb memory.

I have been using this OK for various tasks. Sound & video work. No problems = OK for me.
Comment 6 Thomas Andrews 2018-01-07 19:55:07 CET
Intel Core2Duo, 8GB, Intel graphics, wired Internet.

Installed 64-bit desktop kernel, Plasma system.

Did all the usual tests, with no regressions noted. Then, I successfully removed desktop kernels 4.14.9 and 4.14.10 using drakrpm, a spot where the 4.14.10 kernel failed for me on different hardware.

Looks good here. I will now install it on my production system on this hardware, as the 4.14.10 kernel now on that system is known to have problems. It will get much use that way, and I will report back if anything shows up.
Comment 7 Len Lawrence 2018-01-07 20:12:19 CET
System:    Host: juza Kernel: 4.14.12-desktop-2.mga6 x86_64
           Desktop: MATE 1.18.0  Distro: Mageia 6 mga6
CPU:       Quad core Intel Core i7-3630QM (-HT-MCP-)
Machine:   Device: laptop System: LENOVO product: 9541 v: Lenovo IdeaPad Y500
Graphics:  Card: NVIDIA GK107M [GeForce GT 650M]
           GLX Version: 4.5.0 NVIDIA 384.111
RAM:       8 GB

Ran stress *, glmark2, vlc, Youtube.  Updated system.  Checked networking and NFS.  Working fine.
Comment 8 José Jorge 2018-01-07 21:09:40 CET
I ahve a regression with this kernel-desktop in 32 bit laptop : it does not wake up anymore. The regression is already there with 4.14.10 kernel.

With 4.14.1x the journal stops here :

janv. 07 20:53:12 x systemd-sleep[2459]: Suspending system...
janv. 07 20:53:12 x kernel: PM: suspend entry (deep)

With 4.9.56 there is no (deep) line :

janv. 07 20:59:22 x systemd-sleep[2571]: Suspending system...
janv. 07 20:59:23 x kernel: PM: Syncing filesystems ... done.
janv. 07 20:59:23 x kernel: PM: Preparing system for sleep (mem)
...

I could not find any hint about this regression in the web...

CC: (none) => lists.jjorge

Comment 9 Brian Rockwell 2018-01-08 00:19:14 CET
Intel(R) Core(TM) i3 CPU       M 350  @ 2.27GHz
Core Processor Integrated Graphics Controller
RTL8191SEvB Wireless LAN Controller

The following 9 packages are going to be installed:

- cpupower-4.14.12-2.mga6.i586
- cpupower-devel-4.14.12-2.mga6.i586
- kernel-desktop-4.14.12-2.mga6-1-1.mga6.i586
- kernel-desktop-latest-4.14.12-2.mga6.i586
- microcode-0.20171215-2.mga6.nonfree.noarch
- vboxadditions-kernel-4.14.12-desktop-2.mga6-5.2.2-6.mga6.i586
- vboxadditions-kernel-desktop-latest-5.2.2-6.mga6.i586
- virtualbox-kernel-4.14.12-desktop-2.mga6-5.2.2-6.mga6.i586
- virtualbox-kernel-desktop-latest-5.2.2-6.mga6.i586

56MB of additional disk space will be used.

52MB of packages will be retrieved.

Is it ok to continue?

$ uname -a 
Linux localhost.localdomain 4.14.12-desktop-2.mga6 #1 SMP Sat Jan 6 15:09:59 
UTC 2018 i686 i686 i686 GNU/Linux


Tested libreoffice – working, virtualbox – working, 

seems to be working as designed.

CC: (none) => brtians1

Comment 10 Brian Rockwell 2018-01-08 00:28:23 CET
C51 [GeForce 6150 LE]
AMD Athlon(tm) 64 X2 Dual Core Processor 3800+



The following 6 packages are going to be installed:

- cpupower-4.14.12-2.mga6.x86_64
- kernel-desktop-4.14.12-2.mga6-1-1.mga6.x86_64
- kernel-desktop-devel-4.14.12-2.mga6-1-1.mga6.x86_64
- kernel-desktop-devel-latest-4.14.12-2.mga6.x86_64
- kernel-desktop-latest-4.14.12-2.mga6.x86_64
- microcode-0.20171215-2.mga6.nonfree.noarch

101MB of additional disk space will be used.

67MB of packages will be retrieved.

Is it ok to continue?

$ uname -a
Linux localhost.localdomain 4.14.12-desktop-2.mga6 #1 SMP Sat Jan 6 14:19:53 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux


--- 

libreoffice, firefox, mageia stuff – working as designed.

I've been testing nextcloud on this box.  It is also working properly with new kernel.
Comment 11 Thomas Andrews 2018-01-08 01:43:52 CET
On HP Probook 6550b, Intel Core i3 M 350 cpu, 8GB RAM, integrated Intel graphics, Intel wifi:

I have one 64-bit and one 32-bit Plasma M6 install on this computer. Before this update, the 64-bit install was running the 4.14.10 desktop kernel, and the 32-bit install the 4.14.10 server kernel.

The 64-bit install updated fine, no regressions noted.

The 32-bit install crashed before the updates finished installing. This is similar to behavior I saw with server kernel 4.14.10 on other hardware, Bug 22330. After rebooting into server kernel 4.9.56, I found the kernel modules only partially installed, and the rpm db partially trashed.

After rebuilding the db, I was able to complete the update by first removing kernel-server-4.14.12-2.mga6-1-1.mga6.i586.rpm and kernel-server-latest-4.14.12-2.mga6.i586.rpm, and installing kernel-server-latest for 4.14.10. Then, I went through the update process again, and was successful.

Some 32-bit users will probably run into this problem when they update. If there's nothing we can do to prevent a crash like mine, we should be prepared to help our users recover if it strikes.

Once installed, the kernel is fine on 32-bit. This laptop is waking up after a lid closure as it should. No regressions noted.
Comment 12 José Jorge 2018-01-08 14:39:14 CET
(In reply to José Jorge from comment #8)
> I have a regression with this kernel-desktop in 32 bit laptop : it does not
> wake up anymore. The regression is already there with 4.14.10 kernel.
> 

I have almost the same problem on a Intel Haswell system, installed in 32 bits : on resume after suspending, it goes directly to the BIOS boot. Journal shows the same :

-- Reboot --
janv. 08 13:51:16 y kernel: PM: suspend entry (deep)
janv. 08 13:51:16 y systemd-sleep[2365]: Suspending system...
Comment 13 Brian Rockwell 2018-01-08 17:38:42 CET
Ah ha - Jose you had the same problem as my Intel laptop had (this started in 4.14.10).  I figured it was an anomaly in my build, now I think differently.

Also, Jose - I fixed this by installing the tmb Linux variation.  For whatever reason, the TMB version can sleep and wake-up on 32-bit without issue.

Regards,
Brian
Comment 14 Len Lawrence 2018-01-08 18:24:40 CET
Update on production machine - Dell XPS 13
Mageia release 6 (Official) for x86_64
4.9.56-desktop-1.mga6
Intel(R) Core(TM) i7-7500U CPU @ 2.70GHz
Intel Corporation HD Graphics 620 
RAM 16 GB
nvme disk

Rebooted to working desktop.
$ uname -r
4.14.12-desktop-2.mga6

Ran a 100 package scheduled update.  Launched a new firefox.
Stress tests on 3 out of 4 cores, raised temperatures to 89°C, a rise of about 40° but the laptop survived.
Even hotter with glmark2.  wifi OK.  Remote login to local PC.  Mounted a local network share.  The laptop wakes up after closing and opening the lid.  Tried a few desktop applications - all running fine except pulseaudio.  Not able to hear anything on the speakers or over a bluetooth connection.  Discovered two instances of pulseaudio running, one belonging to the user and one to gdm.  It is doubtful that it has anything to do with the update so this gets the 64-bit OK.
Comment 15 Thomas Andrews 2018-01-08 18:55:00 CET
Those of you with 32-bit laptop lid issues - are you using the desktop kernel or the server kernel?

The Classical iso puts the server kernel on my Probook 6550b because it has 8GB of RAM, and I always just leave it there as long as it works. My laptop isn't exhibiting any lid-closing/opening issues at all.

If the server kernel works for you but the desktop kernel doesn't, that would help narrow things down.

In the meantime, this evening, when I'll have the time, I'll install the 32-bit desktop kernel on my machine and see if the issue magically appears.
Comment 16 Len Lawrence 2018-01-08 19:32:03 CET
re comment 14:
The sound problem was related to gdm.  Replaced it by sddm but it still spawned pulseaudio and there was no sound.  On logout the login screen started to flash but it was possible in between flashes to get to restart.  Rebooted to the previous kernel and forcibly removed gdm from the system.  Rebooted on the new kernel and all was well - one instance of pulseaudio and bluetooth sound was back.  I guess that is a bug against gdm but I do not feel like pursuing it on this laptop because it is a production machine and is needed tomorrow.
Comment 17 Thomas Andrews 2018-01-09 00:32:12 CET
(In reply to Thomas Andrews from comment #15)
> Those of you with 32-bit laptop lid issues - are you using the desktop
> kernel or the server kernel?
> 
> The Classical iso puts the server kernel on my Probook 6550b because it has
> 8GB of RAM, and I always just leave it there as long as it works. My laptop
> isn't exhibiting any lid-closing/opening issues at all.
> 
> If the server kernel works for you but the desktop kernel doesn't, that
> would help narrow things down.
> 
> In the meantime, this evening, when I'll have the time, I'll install the
> 32-bit desktop kernel on my machine and see if the issue magically appears.

After installing kernel-desktop-latest-4.14.12-2.mga6.i586 and kernel-desktop-4.14.12-2.mga6-1-1.mga6.i586 onto my HP Probook 6550b, and rebooting into that kernel, when I close the laptop's lid it appears to suspend, but when I open it and try to wake it up, it reboots - the same behavior seen by Brian.

So, it would appear that this is only happening with the 32-bit desktop kernel. The 64-bit desktop kernel on the same hardware does wake up normally after a lid closure, as does the 32-bit server kernel.
Comment 18 Thomas Backlund 2018-01-09 01:06:26 CET
Unfortunately there is still some regressions that will be fixed in 4.14.13, so  a new kernel will be coming...

Keywords: (none) => feedback

Comment 19 Thomas Backlund 2018-01-10 16:58:10 CET
Fixed kernels + kmods + dracut

SRPMS:
dracut-044-11.1.mga6.src.rpm

kernel-4.14.13-1.mga6.src.rpm
kernel-userspace-headers-4.14.13-1.mga6.src.rpm

kmod-vboxadditions-5.2.2-7.mga6.src.rpm
kmod-virtualbox-5.2.2-7.mga6.src.rpm
kmod-xtables-addons-2.13-10.mga6.src.rpm



i586:
dracut-044-11.1.mga6.i586.rpm

cpupower-4.14.13-1.mga6.i586.rpm
cpupower-devel-4.14.13-1.mga6.i586.rpm
kernel-desktop-4.14.13-1.mga6-1-1.mga6.i586.rpm
kernel-desktop586-4.14.13-1.mga6-1-1.mga6.i586.rpm
kernel-desktop586-devel-4.14.13-1.mga6-1-1.mga6.i586.rpm
kernel-desktop586-devel-latest-4.14.13-1.mga6.i586.rpm
kernel-desktop586-latest-4.14.13-1.mga6.i586.rpm
kernel-desktop-devel-4.14.13-1.mga6-1-1.mga6.i586.rpm
kernel-desktop-devel-latest-4.14.13-1.mga6.i586.rpm
kernel-desktop-latest-4.14.13-1.mga6.i586.rpm
kernel-doc-4.14.13-1.mga6.noarch.rpm
kernel-server-4.14.13-1.mga6-1-1.mga6.i586.rpm
kernel-server-devel-4.14.13-1.mga6-1-1.mga6.i586.rpm
kernel-server-devel-latest-4.14.13-1.mga6.i586.rpm
kernel-server-latest-4.14.13-1.mga6.i586.rpm
kernel-source-4.14.13-1.mga6-1-1.mga6.noarch.rpm
kernel-source-latest-4.14.13-1.mga6.noarch.rpm
kernel-userspace-headers-4.14.13-1.mga6.i586.rpm
perf-4.14.13-1.mga6.i586.rpm

vboxadditions-kernel-4.14.13-desktop-1.mga6-5.2.2-7.mga6.i586.rpm
vboxadditions-kernel-4.14.13-desktop586-1.mga6-5.2.2-7.mga6.i586.rpm
vboxadditions-kernel-4.14.13-server-1.mga6-5.2.2-7.mga6.i586.rpm
vboxadditions-kernel-desktop586-latest-5.2.2-7.mga6.i586.rpm
vboxadditions-kernel-desktop-latest-5.2.2-7.mga6.i586.rpm
vboxadditions-kernel-server-latest-5.2.2-7.mga6.i586.rpm

virtualbox-kernel-4.14.13-desktop-1.mga6-5.2.2-7.mga6.i586.rpm
virtualbox-kernel-4.14.13-desktop586-1.mga6-5.2.2-7.mga6.i586.rpm
virtualbox-kernel-4.14.13-server-1.mga6-5.2.2-7.mga6.i586.rpm
virtualbox-kernel-desktop586-latest-5.2.2-7.mga6.i586.rpm
virtualbox-kernel-desktop-latest-5.2.2-7.mga6.i586.rpm
virtualbox-kernel-server-latest-5.2.2-7.mga6.i586.rpm

xtables-addons-kernel-4.14.13-desktop-1.mga6-2.13-10.mga6.i586.rpm
xtables-addons-kernel-4.14.13-desktop586-1.mga6-2.13-10.mga6.i586.rpm
xtables-addons-kernel-4.14.13-server-1.mga6-2.13-10.mga6.i586.rpm
xtables-addons-kernel-desktop586-latest-2.13-10.mga6.i586.rpm
xtables-addons-kernel-desktop-latest-2.13-10.mga6.i586.rpm
xtables-addons-kernel-server-latest-2.13-10.mga6.i586.rpm



x86_64:
dracut-044-11.1.mga6.x86_64.rpm

cpupower-4.14.13-1.mga6.x86_64.rpm
cpupower-devel-4.14.13-1.mga6.x86_64.rpm
kernel-desktop-4.14.13-1.mga6-1-1.mga6.x86_64.rpm
kernel-desktop-devel-4.14.13-1.mga6-1-1.mga6.x86_64.rpm
kernel-desktop-devel-latest-4.14.13-1.mga6.x86_64.rpm
kernel-desktop-latest-4.14.13-1.mga6.x86_64.rpm
kernel-doc-4.14.13-1.mga6.noarch.rpm
kernel-server-4.14.13-1.mga6-1-1.mga6.x86_64.rpm
kernel-server-devel-4.14.13-1.mga6-1-1.mga6.x86_64.rpm
kernel-server-devel-latest-4.14.13-1.mga6.x86_64.rpm
kernel-server-latest-4.14.13-1.mga6.x86_64.rpm
kernel-source-4.14.13-1.mga6-1-1.mga6.noarch.rpm
kernel-source-latest-4.14.13-1.mga6.noarch.rpm
kernel-userspace-headers-4.14.13-1.mga6.x86_64.rpm
perf-4.14.13-1.mga6.x86_64.rpm

vboxadditions-kernel-4.14.13-desktop-1.mga6-5.2.2-7.mga6.x86_64.rpm
vboxadditions-kernel-4.14.13-server-1.mga6-5.2.2-7.mga6.x86_64.rpm
vboxadditions-kernel-desktop-latest-5.2.2-7.mga6.x86_64.rpm
vboxadditions-kernel-server-latest-5.2.2-7.mga6.x86_64.rpm

virtualbox-kernel-4.14.13-desktop-1.mga6-5.2.2-7.mga6.x86_64.rpm
virtualbox-kernel-4.14.13-server-1.mga6-5.2.2-7.mga6.x86_64.rpm
virtualbox-kernel-desktop-latest-5.2.2-7.mga6.x86_64.rpm
virtualbox-kernel-server-latest-5.2.2-7.mga6.x86_64.rpm

xtables-addons-kernel-4.14.13-desktop-1.mga6-2.13-10.mga6.x86_64.rpm
xtables-addons-kernel-4.14.13-server-1.mga6-2.13-10.mga6.x86_64.rpm
xtables-addons-kernel-desktop-latest-2.13-10.mga6.x86_64.rpm
xtables-addons-kernel-server-latest-2.13-10.mga6.x86_64.rpm

Summary: Update request: kernel 4.14.12 => Update request: kernel 4.14.13
Keywords: feedback => (none)

Comment 20 Thomas Backlund 2018-01-10 20:08:32 CET
x86_64 server kernel is running on a AMD Ryzen based server without issues so far...
x86_64 desktop kernel is running on a AMD ThreadRipper workstation without issues so far...
x86_64 desktop kernel is running on a Lenovo IdePad Y720 laptop with i7-7500 cpu without issues so far...
Comment 21 Brian Rockwell 2018-01-10 20:18:01 CET
AMD Phenom hardware - Vbox instance

VBOX build Xfce 64-bit

The following 7 packages are going to be installed:

- cpupower-4.14.13-1.mga6.x86_64
- dracut-044-11.1.mga6.x86_64
- kernel-desktop-4.14.13-1.mga6-1-1.mga6.x86_64
- kernel-desktop-latest-4.14.13-1.mga6.x86_64
- microcode-0.20180108-1.mga6.nonfree.noarch
- vboxadditions-kernel-4.14.13-desktop-1.mga6-5.2.2-7.mga6.x86_64
- vboxadditions-kernel-desktop-latest-5.2.2-7.mga6.x86_64

61MB of additional disk space will be used.

57MB of packages will be retrieved.

Is it ok to continue?The following 7 packages are going to be installed:


-- rebooted

$ uname -a
Linux localhost 4.14.13-desktop-1.mga6 #1 SMP Wed Jan 10 12:48:53 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux



Firefox, Libreoffice, Atril and network communication working properly.
Comment 22 Thomas Backlund 2018-01-10 20:36:32 CET
Note that this same kernel is in Cauldron too so it gets tested there too
Comment 23 Brian Rockwell 2018-01-10 20:47:08 CET
(In reply to Thomas Andrews from comment #15)
> Those of you with 32-bit laptop lid issues - are you using the desktop
> kernel or the server kernel?
> 
> The Classical iso puts the server kernel on my Probook 6550b because it has
> 8GB of RAM, and I always just leave it there as long as it works. My laptop
> isn't exhibiting any lid-closing/opening issues at all.
> 
> If the server kernel works for you but the desktop kernel doesn't, that
> would help narrow things down.
> 
> In the meantime, this evening, when I'll have the time, I'll install the
> 32-bit desktop kernel on my machine and see if the issue magically appears.

I was using desktop-32bit kernel.
Comment 24 Thomas Andrews 2018-01-10 20:55:14 CET
(In reply to Brian Rockwell from comment #23)
> (In reply to Thomas Andrews from comment #15)
> > Those of you with 32-bit laptop lid issues - are you using the desktop
> > kernel or the server kernel?
> > 
 
> I was using desktop-32bit kernel.

That confirms what I posted in Comment 17.

Installing both of the 32-bit 4.14.13 kernels now to check them out.
Comment 25 Brian Rockwell 2018-01-10 21:25:13 CET
<<this is a really old desktop not the laptop>>

[GeForce 6150 LE]
AMD Athlon(tm) 64 X2 Dual Core Processor 3800+


The following 7 packages are going to be installed:

- cpupower-4.14.13-1.mga6.x86_64
- dracut-044-11.1.mga6.x86_64
- kernel-desktop-4.14.13-1.mga6-1-1.mga6.x86_64
- kernel-desktop-devel-4.14.13-1.mga6-1-1.mga6.x86_64
- kernel-desktop-latest-4.14.13-1.mga6.x86_64
- kernel-doc-4.14.13-1.mga6.noarch
- microcode-0.20180108-1.mga6.nonfree.noarch

101MB of additional disk space will be used.

73MB of packages will be retrieved.

Is it ok to continue?


Rebooted


$ uname -a
Linux localhost.localdomain 4.14.13-desktop-1.mga6 #1 SMP Wed Jan 10 12:48:53 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux

---

working as designed.
Comment 26 Thomas Andrews 2018-01-10 21:36:06 CET
On my HP Probook 6550b, i3, 8GB, Intel graphics, Intel wifi.

Upgraded both 32-bit server and desktop kernels to 4.14.13. 

Under the server kernel, everything looks good. I watched a video, used Firefox, played solitaire. Closed and opened the lid, and the it woke up from suspend as it should.

Under the desktop kernel, during the boot process about a screen-and-a-half of verbiage appeared, most of which was too fast to read. What I could read was incomprehensible to me, (This did not appear with the server kernel.) The boot did proceed and was successful. Closing the lid and re-opening it started a reboot istead of a wake-up as it should. Everything else looks good.
Comment 27 William Kenney 2018-01-10 22:26:19 CET
In a Vbox client, M6, Mate, 64bit

Testing: kernel-desktop-latest vboxadditions-kernel-desktop-latest cpupower

[root@localhost wilcal]# uname -a
Linux localhost 4.14.10-desktop-1.mga6 #1 SMP Sat Dec 30 00:56:37 UTC 2017 i686 i686 i686 GNU/Linux
[root@localhost wilcal]# urpmi kernel-desktop-latest
Package kernel-desktop-latest-4.14.10-1.mga6.i586 is already installed
[root@localhost wilcal]# urpmi vboxadditions-kernel-desktop-latest
Package vboxadditions-kernel-desktop-latest-5.2.2-5.mga6.i586 is already installed
[root@localhost wilcal]# urpmi cpupower
Package cpupower-4.14.10-1.mga6.i586 is already installed

Boots to a working desktop. Screen resolution is correct. Common apps work.

Installed kernel-desktop-latest vboxadditions-kernel-desktop-latest cpupower from updates testing

[root@localhost wilcal]# uname -a
Linux localhost 4.14.13-desktop-1.mga6 #1 SMP Wed Jan 10 12:49:10 UTC 2018 i686 i686 i686 GNU/Linux
[root@localhost wilcal]# urpmi kernel-desktop-latest
Package kernel-desktop-latest-4.14.13-1.mga6.i586 is already installed
[root@localhost wilcal]# urpmi vboxadditions-kernel-desktop-latest
Package vboxadditions-kernel-desktop-latest-5.2.2-7.mga6.i586 is already installed
[root@localhost wilcal]# urpmi cpupower
Package cpupower-4.14.13-1.mga6.i586 is already installed

Boots to a working desktop. Screen resolution is correct. Common apps work.

CC: (none) => wilcal.int

Comment 28 Brian Rockwell 2018-01-10 22:28:37 CET
[GeForce 6150 LE]
AMD Athlon(tm) 64 X2 Dual Core Processor 3800+

$ uname -a
Linux localhost 4.14.13-desktop-1.mga6 #1 SMP Wed Jan 10 12:49:10 UTC 2018 i686 i686 i686 GNU/Linux

----

Had to rebuild nvidia-304 drivers, but after that the system is working as designed.
Comment 29 William Kenney 2018-01-10 22:34:07 CET
Correction in comment 27

Line:
In a Vbox client, M6, Mate, 64bit

s/b:
In a Vbox client, M6, Mate, 32bit
Comment 30 William Kenney 2018-01-10 22:44:19 CET
In a Vbox client, M6, Mate, 64bit

Testing: kernel-desktop-latest vboxadditions-kernel-desktop-latest cpupower

[root@localhost wilcal]# uname -a
Linux localhost 4.14.10-desktop-1.mga6 #1 SMP Sat Dec 30 01:10:25 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux
[root@localhost wilcal]# urpmi kernel-desktop-latest
Package kernel-desktop-latest-4.14.10-1.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi vboxadditions-kernel-desktop-latest
Package vboxadditions-kernel-desktop-latest-5.2.2-5.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi cpupower
Package cpupower-4.14.10-1.mga6.x86_64 is already installed

Boots to a working desktop. Screen resolution is correct. Common apps work.

Installed kernel-desktop-latest vboxadditions-kernel-desktop-latest cpupower from updates testing

[root@localhost wilcal]# uname -a
Linux localhost 4.14.13-desktop-1.mga6 #1 SMP Wed Jan 10 12:48:53 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux
[root@localhost wilcal]# urpmi kernel-desktop-latest
Package kernel-desktop-latest-4.14.13-1.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi vboxadditions-kernel-desktop-latest
Package vboxadditions-kernel-desktop-latest-5.2.2-7.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi cpupower
Package cpupower-4.14.13-1.mga6.x86_64 is already installedf

Boots to a working desktop. Screen resolution is correct. Common apps work.
Comment 31 José Jorge 2018-01-10 22:47:36 CET
(In reply to Thomas Andrews from comment #26)
> Under the server kernel, everything looks good. I watched a video, used
> Firefox, played solitaire. Closed and opened the lid, and the it woke up
> from suspend as it should.

Good catch this server kernel, while I had tested kernel-linus, I forgot this one. So only kernel-server resumes on suspend, while kernel-linus, kernel-destop, and kernel-desktop586 reboots on resume for this 4.14.13 32bit.
Comment 32 Thomas Andrews 2018-01-10 23:13:55 CET
On the HP Probook 6550b, this time with the 64-bit desktop kernel 4.14.13:

Everything looks good. Packages installed cleanly, and the reboot was normal. Normal apps work. (Using Firefox to make this report.) Suspend and resume work normally.
Comment 33 William Kenney 2018-01-11 00:05:25 CET
On real hardware, M6, Plasma, 64-bit

initial install:

kernel-desktop-latest kernel-desktop-devel-latest dkms-nvidia-current cpupower

[root@localhost wilcal]# uname -a
Linux localhost 4.14.10-desktop-1.mga6 #1 SMP Sat Dec 30 01:10:25 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux
[root@localhost wilcal]# urpmi kernel-desktop-latest
Package kernel-desktop-latest-4.14.10-1.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi kernel-desktop-devel-latest
Package kernel-desktop-devel-latest-4.14.10-1.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi dkms-nvidia-current
Package dkms-nvidia-current-384.98-2.mga6.nonfree.x86_64 is already installed
[root@localhost wilcal]# urpmi cpupower
Package cpupower-4.14.10-1.mga6.x86_64 is already installed
[wilcal@localhost ~]$ lspci -k
01:00.0 VGA compatible controller: NVIDIA Corporation GF108 [GeForce GT 440] (rev a1)
        Subsystem: Gigabyte Technology Co., Ltd Device 3518
        Kernel driver in use: nvidia
        Kernel modules: nvidiafb, nouveau, nvidia_drm, nvidia_current

install:
kernel-desktop-latest kernel-desktop-devel-latest dkms-nvidia-current cpupower
from updates_testing

The following 8 packages are going to be installed:

- cpupower-4.14.13-1.mga6.x86_64
- dracut-044-11.1.mga6.x86_64
- kernel-desktop-4.14.13-1.mga6-1-1.mga6.x86_64
- kernel-desktop-devel-4.14.13-1.mga6-1-1.mga6.x86_64
- kernel-desktop-devel-latest-4.14.13-1.mga6.x86_64
- microcode-0.20180108-1.mga6.nonfree.noarch
- vboxadditions-kernel-4.14.13-desktop-1.mga6-5.2.2-7.mga6.x86_64
- vboxadditions-kernel-desktop-latest-5.2.2-7.mga6.x86_64

[root@localhost wilcal]# uname -a
Linux localhost 4.14.13-desktop-1.mga6 #1 SMP Wed Jan 10 12:48:53 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux
[root@localhost wilcal]# urpmi kernel-desktop-latest
Package kernel-desktop-latest-4.14.13-1.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi kernel-desktop-devel-latest
Package kernel-desktop-devel-latest-4.14.13-1.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi dkms-nvidia-current
Package dkms-nvidia-current-384.111-1.mga6.nonfree.x86_64 is already installed
[root@localhost wilcal]# urpmi cpupower
Package cpupower-4.14.13-1.mga6.x86_64 is already installed
[wilcal@localhost ~]$ lspci -k
01:00.0 VGA compatible controller: NVIDIA Corporation GF108 [GeForce GT 440] (rev a1)
        Subsystem: Gigabyte Technology Co., Ltd Device 3518
        Kernel driver in use: nvidia
        Kernel modules: nvidiafb, nouveau, nvidia_drm, nvidia_current

Test platform:
Intel Core i7-2600K Sandy Bridge 3.4GHz
GIGABYTE GA-Z68X-UD3-B3 LGA 1155 MoBo
GIGABYTE GV-N440D3-1GI Nvidia GeForce GT 440 (Fermi) 1GB
RTL8111/8168B PCI Express 1Gbit Ethernet
DRAM 16GB (4 x 4GB)
Comment 34 William Kenney 2018-01-11 00:06:56 CET
I need some time.
I think there's a problem with Vbox clients and nvidia platforms.
Sorry.
Comment 35 Len Lawrence 2018-01-11 02:19:23 CET
System:    Host: markab Kernel: 4.14.13-desktop-1.mga6 x86_64
CPU:       Quad core Intel Core i7-5700HQ (-HT-MCP-)
Machine:   Device: laptop System: GIGABYTE product: X5
Graphics:  Card-1: NVIDIA GM204M [GeForce GTX 965M]
           GLX Version: 4.5.0 NVIDIA 384.98
RAM:       15.62 GB

Installed the kernel updates but avoided virtualbox.
$ drakboot --boot
Rebooted to a working desktop.
$ uname -r
4.14.13-desktop-1.mga6
Running smoothly on this laptop - suspend and resume work fine.
Stress tests ran OK.
Comment 36 Morgan Leijström 2018-01-11 08:57:16 CET
4.14.13-1 quick test 64 bit OK on Thinkpad T400 with Intel Centrino Duo T9800, vPro, Intel graphics, Multiboot, LVM.  Test OK on wifi, suspend & hibernate resumes OK, thinkpad buttons,  Firefox playing streamed video and sound OK.
Comment 37 William Kenney 2018-01-11 19:47:19 CET
On real hardware, M6, Plasma, 64-bit

initial install:
kernel-desktop-latest
virtualbox vboxadditions-kernel-desktop-latest dkms-virtualbox
virtualbox-guest-additions virtualbox-kernel-desktop-latest x11-driver-video-vboxvideo
kernel-desktop-devel-latest dkms-nvidia-current

[root@localhost wilcal]# uname -a
Linux localhost 4.14.13-desktop-1.mga6 #1 SMP Wed Jan 10 12:48:53 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux
[root@localhost wilcal]# urpmi kernel-desktop-latest
Package kernel-desktop-latest-4.14.13-1.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi virtualbox
Package virtualbox-5.2.2-1.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi vboxadditions-kernel-desktop-latest
Package vboxadditions-kernel-desktop-latest-5.2.2-7.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi dkms-virtualbox
Package dkms-virtualbox-5.2.2-1.mga6.noarch is already installed
[root@localhost wilcal]# urpmi virtualbox-guest-additions
Package virtualbox-guest-additions-5.2.2-1.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi virtualbox-kernel-desktop-latest
Package virtualbox-kernel-desktop-latest-5.2.2-7.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi x11-driver-video-vboxvideo
Package x11-driver-video-vboxvideo-5.2.2-1.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi kernel-desktop-devel-latest
Package kernel-desktop-devel-latest-4.14.13-1.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi dkms-nvidia-current
Package dkms-nvidia-current-384.111-1.mga6.nonfree.x86_64 is already installed
[wilcal@localhost ~]$ lspci -k
01:00.0 VGA compatible controller: NVIDIA Corporation GF108 [GeForce GT 440] (rev a1)
        Subsystem: Gigabyte Technology Co., Ltd Device 3518
        Kernel driver in use: nvidia
        Kernel modules: nvidiafb, nouveau, nvidia_drm, nvidia_current
        
Using:
Mageia-6-LiveDVD-Plasma-x86_64-DVD.iso
md5: 1a152fb3aa5402761688d8aab67ae8df
7/11/17
Create a Vbox client. Works just fine. Boots to a working desktop.

Install the above Live-DVD
Installs cleanly, boots to a working desktop. Add no other apps.

Update just created Vbox client x86_64 Plasma. 328 packages updated.
Boots to a hang at the "booting the kernel" window. See attached.

Test platform:
Intel Core i7-2600K Sandy Bridge 3.4GHz
GIGABYTE GA-Z68X-UD3-B3 LGA 1155 MoBo
GIGABYTE GV-N440D3-1GI Nvidia GeForce GT 440 (Fermi) 1GB
RTL8111/8168B PCI Express 1Gbit Ethernet
DRAM 16GB (4 x 4GB)
Comment 38 William Kenney 2018-01-11 19:47:56 CET
Created attachment 9893 [details]
Hang at "booting the kernel" window
Comment 39 William Kenney 2018-01-11 19:57:01 CET
Using the same platform as used in Comment 37 I used an M6 x86_64 M6 Plasma
x86_64 client exported vdi created on a non-nvidia platform and that booted
just fine to a working desktop.
Comment 40 Thomas Backlund 2018-01-11 19:57:50 CET
(In reply to William Kenney from comment #38)
> Created attachment 9893 [details]
> Hang at "booting the kernel" window

did you update the kernel too ?
does it boot with the 4.9 series kernel you got installed first ?

is it 4.14.10 that hangs ? or did you update the 4.14.13 from testing ?

if its the 4.14.13,  does it boot if you add "nopti" on the kernel command line ?
Comment 41 William Kenney 2018-01-11 20:57:30 CET
Using the same Live-DVD as used in Comment 37 create a
Vbox client on a non-nividia platform. Update that then
export it as a VDI and bring that VDI back to the nvidia
platform and it runs just fine. Gotta push away from the
table on this one for today.
I'll talk about it at the QA meeting.
Comment 42 PC LX 2018-01-11 23:37:48 CET
TL;DR - Regressions found when booting Mageia 6 with the new kernel 4.14.13 on a VirtualBox 5.2.2 guest, with the host system being a Mageia 6 using the new kernel 4.14.13 and a nVidia GPU using the 340.104 proprietary driver.

Installed, without issues, on a Mageia 6 host system and on a VirtualBox Mageia 6 guest system.

On the host system, after a day of normal use and some extra testing, there are no regressions. Test includes normal desktop stuff, multiple simultaneous desktop sessions, 3D OpenGL games, hardware accelerated video playing, running VirtualBox VMs.

On the VirtualBox guest system, the Mageia 6 system with the kernel 4.14.13  fails to boot, even with the "nopti" kernel parameter. See attached image for kernel messages.

Other guest system worked without regressions, at least as far as the quick testing I did showed.

Other tested guest systems:
- Windows XP, 7, 10
- KDE Neon
- Mageia 5
- Easy2Boot USB pen with several Mageia and other GNU/Linux install and live ISOs.

Guest system tests included updating the systems, installing VirtualBox guest additions, running Firefox and doing some quick youtube video playback.



# uname -a
Linux marte 4.14.13-desktop-1.mga6 #1 SMP Wed Jan 10 12:48:53 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux
# journalctl -b-1 | egrep -o install.*success | sort -u
install cpupower-4.14.13-1.mga6.x86_64: success
install dracut-044-11.1.mga6.x86_64: success
install kernel-desktop-4.14.13-1.mga6-1-1.mga6.x86_64: success
install kernel-desktop-devel-4.14.13-1.mga6-1-1.mga6.x86_64: success
install kernel-desktop-devel-latest-4.14.13-1.mga6.x86_64: success
install kernel-desktop-latest-4.14.13-1.mga6.x86_64: success
install kernel-userspace-headers-4.14.13-1.mga6.x86_64: success
install microcode-0.20180108-1.mga6.nonfree.noarch: success
install perf-4.14.13-1.mga6.x86_64: success
install virtualbox-kernel-4.14.13-desktop-1.mga6-5.2.2-7.mga6.x86_64: success
install virtualbox-kernel-desktop-latest-5.2.2-7.mga6.x86_64: success
# dkms status | grep 4.14.13
nvidia340, 340.104-3.mga6.nonfree, 4.14.13-desktop-1.mga6, x86_64: installed 
virtualbox, 5.2.2-1.mga6, 4.14.13-desktop-1.mga6, x86_64: installed-binary from 4.14.13-desktop-1.mga6
# lspcidrake -v
snd_hda_intel   : Intel Corporation|82801JI (ICH10 Family) HD Audio Controller [MULTIMEDIA_AUDIO_DEV] (vendor:8086 device:3a3e subv:1043 subd:8346)
Card:NVIDIA GeForce 8100 to GeForce 415: NVIDIA Corporation|GT218 [GeForce 210] [DISPLAY_VGA] (vendor:10de device:0a65 subv:1043 subd:83f4) (rev: a2)
uhci_hcd        : Intel Corporation|82801JI (ICH10 Family) USB UHCI Controller #2 [SERIAL_USB] (vendor:8086 device:3a35 subv:1043 subd:82d4)
r8169           : Realtek Semiconductor Co., Ltd.|RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller [NETWORK_ETHERNET] (vendor:10ec device:8168 subv:1043 subd:8367) (rev: 02)
shpchp          : Intel Corporation|4 Series Chipset PCI Express Root Port [BRIDGE_PCI] (vendor:8086 device:2e21) (rev: 03)
lpc_ich         : Intel Corporation|82801JIB (ICH10) LPC Interface Controller [BRIDGE_ISA] (vendor:8086 device:3a18 subv:1043 subd:82d4)
uhci_hcd        : Intel Corporation|82801JI (ICH10 Family) USB UHCI Controller #5 [SERIAL_USB] (vendor:8086 device:3a38 subv:1043 subd:82d4)
shpchp          : Intel Corporation|82801JI (ICH10 Family) PCI Express Root Port 1 [BRIDGE_PCI] (vendor:8086 device:3a40)
pata_jmicron    : JMicron Technology Corp.|JMB368 IDE controller [STORAGE_IDE] (vendor:197b device:2368 subv:1043 subd:827e)
unknown         : Intel Corporation|82801JI (ICH10 Family) SATA AHCI Controller [STORAGE_SATA] (vendor:8086 device:3a22 subv:1043 subd:82d4)
shpchp          : Intel Corporation|82801JI (ICH10 Family) PCI Express Root Port 3 [BRIDGE_PCI] (vendor:8086 device:3a44)
ehci_pci        : Intel Corporation|82801JI (ICH10 Family) USB2 EHCI Controller #1 [SERIAL_USB] (vendor:8086 device:3a3a subv:1043 subd:82d4)
ehci_pci        : Intel Corporation|82801JI (ICH10 Family) USB2 EHCI Controller #2 [SERIAL_USB] (vendor:8086 device:3a3c subv:1043 subd:82d4)
snd_hda_intel   : NVIDIA Corporation|High Definition Audio Controller [MULTIMEDIA_AUDIO_DEV] (vendor:10de device:0be3 subv:1043 subd:83f4) (rev: a1)
uhci_hcd        : Intel Corporation|82801JI (ICH10 Family) USB UHCI Controller #1 [SERIAL_USB] (vendor:8086 device:3a34 subv:1043 subd:82d4)
uhci_hcd        : Intel Corporation|82801JI (ICH10 Family) USB UHCI Controller #4 [SERIAL_USB] (vendor:8086 device:3a37 subv:1043 subd:82d4)
uhci_hcd        : Intel Corporation|82801JI (ICH10 Family) USB UHCI Controller #3 [SERIAL_USB] (vendor:8086 device:3a36 subv:1043 subd:82d4)
uhci_hcd        : Intel Corporation|82801JI (ICH10 Family) USB UHCI Controller #6 [SERIAL_USB] (vendor:8086 device:3a39 subv:1043 subd:82d4)
shpchp          : Intel Corporation|82801JI (ICH10 Family) PCI Express Port 2 [BRIDGE_PCI] (vendor:8086 device:3a42)
unknown         : Intel Corporation|4 Series Chipset DRAM Controller [BRIDGE_HOST] (vendor:8086 device:2e20 subv:1043 subd:82d3) (rev: 03)
i2c_i801        : Intel Corporation|82801JI (ICH10 Family) SMBus Controller [SERIAL_SMBUS] (vendor:8086 device:3a30 subv:1043 subd:82d4)
unknown         : Intel Corporation|82801 PCI Bridge [BRIDGE_PCI] (vendor:8086 device:244e) (rev: 90)
hub             : Linux 4.14.13-desktop-1.mga6 ehci_hcd|EHCI Host Controller [Hub|Unused|Full speed (or root) hub] (vendor:1d6b device:0002)
usb_storage     : Generic|Mass Storage Device [Mass Storage|SCSI|Bulk-Only] (vendor:058f device:6377)
hub             : Linux 4.14.13-desktop-1.mga6 ehci_hcd|EHCI Host Controller [Hub|Unused|Full speed (or root) hub] (vendor:1d6b device:0002)
usb_storage     : Prolific Technology Inc.|Mass Storage Device [Mass Storage|SCSI|Bulk-Only] (vendor:067b device:2507)
hub             : Genesys Logic, Inc.|USB2.0 Hub [Hub|Unused|Full speed (or root) hub] (vendor:05e3 device:0608)
hub             : Linux 4.14.13-desktop-1.mga6 uhci_hcd|UHCI Host Controller [Hub|Unused|Full speed (or root) hub] (vendor:1d6b device:0001)
hub             : Linux 4.14.13-desktop-1.mga6 uhci_hcd|UHCI Host Controller [Hub|Unused|Full speed (or root) hub] (vendor:1d6b device:0001)
hub             : Linux 4.14.13-desktop-1.mga6 uhci_hcd|UHCI Host Controller [Hub|Unused|Full speed (or root) hub] (vendor:1d6b device:0001)
hub             : Linux 4.14.13-desktop-1.mga6 uhci_hcd|UHCI Host Controller [Hub|Unused|Full speed (or root) hub] (vendor:1d6b device:0001)
hub             : Linux 4.14.13-desktop-1.mga6 uhci_hcd|UHCI Host Controller [Hub|Unused|Full speed (or root) hub] (vendor:1d6b device:0001)
Mouse:evdev     : Logitech|USB Receiver [Human Interface Device|Boot Interface Subclass|Keyboard] (vendor:046d device:c517)
hub             : Linux 4.14.13-desktop-1.mga6 uhci_hcd|UHCI Host Controller [Hub|Unused|Full speed (or root) hub] (vendor:1d6b device:0001)
hid_logitech    : Logitech USB Receiver
hid_logitech    : Logitech USB Receiver

CC: (none) => mageia

Comment 43 PC LX 2018-01-11 23:39:11 CET
Created attachment 9894 [details]
grub boot commands
Comment 44 PC LX 2018-01-11 23:39:39 CET
Created attachment 9895 [details]
kernel messages before freeze
Comment 45 claire robinson 2018-01-11 23:50:47 CET
(In reply to PC LX from comment #43)
> Created attachment 9894 [details]
> grub boot commands

Where has the "linux16" boot command come from? (16bit boot?)
Comment 46 PC LX 2018-01-12 00:18:24 CET
(In reply to claire robinson from comment #45)
> Where has the "linux16" boot command come from? (16bit boot?)

I did not change it, so the one to blame is probably grub.

But just to be certain that is not the problem I tested with linux/initrd instead of linux16/initrd16, with and without "nopti". The result is the same in all cases, a freeze showing the same messages in the attached image.
Comment 47 Brian Rockwell 2018-01-12 00:51:58 CET
4 Series Chipset Integrated Graphics Controller
Pentium(R) Dual-Core  CPU      E5800  @ 3.20GHz

$ uname -a
Linux localhost 4.14.13-desktop-1.mga6 #1 SMP Wed Jan 10 12:48:53 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux


no regressions
Comment 48 Thomas Andrews 2018-01-12 02:17:10 CET
On real hardware, ASRock motherboard, Athlon X2 7750 processor, Geforce 9800 GT graphics, Atheros wifi.

32-bit server kernel, Xfce system, updating from Kernel 4.14.12.

No regressions noted.
Comment 49 Thomas Andrews 2018-01-12 02:27:54 CET
Same hardware as Comment 48, this time updated the 64-bit server kernel on a Plasma system. I did not mention in Comment 48 that the system uses the nvidia340 driver.

No regressions noted.

Using VirtualBox 5.2.2 on the updated system, I created a 64-bit Plasma Mageia 6 guest, on this system, using the Classical iso. After updating, including to desktop kernel 4.14.10, I rebooted, successfully. 

I then updated the guest to the 4.14.13 desktop kernel and associated vboxadditions modules. The reboot was again successful, and no regressions within the guest were noted.
Comment 50 James Kerr 2018-01-12 19:59:09 CET
On mga6-64

packages installed:
- cpupower-4.14.13-1.mga6.x86_64
- dkms-nvidia-current-384.111-1.mga6.nonfree.x86_64
- dracut-044-11.1.mga6.x86_64
- kernel-desktop-4.14.13-1.mga6-1-1.mga6.x86_64
- kernel-desktop-devel-4.14.13-1.mga6-1-1.mga6.x86_64
- kernel-desktop-devel-latest-4.14.13-1.mga6.x86_64
- kernel-desktop-latest-4.14.13-1.mga6.x86_64
- kernel-userspace-headers-4.14.13-1.mga6.x86_64
- ldetect-lst-0.3.7.5-1.mga6.x86_64
- microcode-0.20180108-1.mga6.nonfree.noarch
- nvidia-current-doc-html-384.111-1.mga6.nonfree.x86_64
- virtualbox-kernel-4.14.13-desktop-1.mga6-5.2.2-7.mga6.x86_64
- virtualbox-kernel-desktop-latest-5.2.2-7.mga6.x86_64
- x11-driver-video-nvidia-current-384.111-1.mga6.nonfree.x86_64

system rebooted normally
$ uname -r
4.14.13-desktop-1.mga6 

Created a new VM, installed Mageia6 plasma live iso 
and applied all available official updates

and then installed from testing:
microcode-0.20180108-1.mga6.nonfree.noarch
ldetect-lst-0.3.7.5-1.mga6.x86_64
vboxadditions-kernel-desktop-latest-5.2.2-7.mga6.x86_64
vboxadditions-kernel-4.14.13-desktop-1.mga6-5.2.2-7.mga6.x86_64   
kernel-desktop-latest-4.14.13-1.mga6.x86_64
cpupower-4.14.13-1.mga6.x86_64
kernel-desktop-4.14.13-1.mga6-1-1.mga6.x86_64
dracut-044-11.1.mga6.x86_64

The guest system re-booted normally
$ uname -r
4.14.13-desktop-1.mga6

OK for mga6-64 on this system

Machine:   Device: desktop Mobo: ECS model: GeForce7050M-M v: 1.0
CPU:       Quad core AMD Phenom 9500 (-MCP-) 
Graphics:  Card: NVIDIA GF108 [GeForce GT 630]
           Display Server: Mageia X.org 119.5 drivers: nvidia,v4l
           GLX Renderer: GeForce GT 630/PCIe/SSE2
           GLX Version: 4.5.0 NVIDIA 384.111

CC: (none) => jim

Comment 51 Shlomi Fish 2018-01-12 20:54:16 CET
On real hardware mga6 64 works fine with this kernel - tested startx, plasma 5, firefox, ping, tuxracer, vlc.

CC: (none) => shlomif

Comment 52 Thomas Backlund 2018-01-12 21:24:54 CET
Advisory, added to svn:

type: security
subject: Updated kernel packages fix security vulnerabilities
CVE:
 - CVE 2017-5715
 - CVE 2017-5753
 - CVE-2017-5754
 - CVE-2017-15129
 - CVE-2017-17741
src:
  6:
   core:
     - dracut-044-11.1.mga6
     - kernel-4.14.13-1.mga6
     - kernel-userspace-headers-4.14.13-1.mga6
     - kmod-vboxadditions-5.2.2-7.mga6
     - kmod-virtualbox-5.2.2-7.mga6
     - kmod-xtables-addons-2.13-10.mga6
description: |
  This kernel update is based on the upstream 4.14.13 and and fixes
  several security issues.

  The most important fix in this update is for the security issue named
  "Meltdown" that is fixed in theese kernels by enabling kernel Page
  Table Isolation (KTPI). Note that according to AMD, this issue does
  not effect Amd processors, so it is not enabled by default on systems
  using Amd CPU.

  The list of known security fixes and mitigations in this kernel:

  kvm: vmx: Scrub hardware GPRs at VM-exit. This enables partial mitigation
  in kvm for the security issue named "Spectre" (CVE 2017-5715, CVE 2017-5753).

  Systems with microprocessors utilizing speculative execution and indirect
  branch prediction may allow unauthorized disclosure of information to an
  attacker with local user access via a side-channel analysis of the data
  cache (CVE-2017-5754, "MeltDown").

  A use-after-free vulnerability was found in network namespaces code
  affecting the Linux kernel before 4.14.11. The function get_net_ns_by_id()
  in net/core/net_namespace.c does not check for the net::count value after
  it has found a peer network in netns_ids idr, which could lead to double
  free and memory corruption. This vulnerability could allow an unprivileged
  local user to induce kernel memory corruption on the system, leading to a
  crash. Due to the nature of the flaw, privilege escalation cannot be fully
  ruled out, although it is thought to be unlikely (CVE-2017-15129).

  The KVM implementation in the Linux kernel through 4.14.7 allows attackers
  to obtain potentially sensitive information from kernel memory, aka a
  write_mmio stack-based out-of-bounds read, related to arch/x86/kvm/x86.c
  and include/trace/events/kvm.h (CVE-2017-17741).

  The kernels are also fixed to allow loading cpu microcode for Amd
  family 17 (Zen) processors, and dracut have been fixed to properly
  support early firmware loading on the microcode on all Amd cpus.

  For more info about Meltdown, Spectre and other fixes in this update,
  see the refences.
  references:
 - https://bugs.mageia.org/show_bug.cgi?id=22334
 - https://meltdownattack.com/
 - https://googleprojectzero.blogspot.fi/2018/01/reading-privileged-memory-with-side.html
 - https://cdn.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.14.111
 - https://cdn.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.14.112
 - https://cdn.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.14.113

Keywords: (none) => advisory

Comment 53 Len Lawrence 2018-01-12 21:31:21 CET
Updateed from the 4.14.13 desktop kernel.

System:    Host: markab Kernel: 4.14.13-server-1.mga6 x86_64
           Mobo: GIGABYTE model: X5
Network:   Card-2: Intel Wireless 7265 driver: iwlwifi
Graphics:  Card-1: NVIDIA GM204M [GeForce GTX 965M]
           GLX Version: 4.5.0 NVIDIA 384.98
RAM:       15.62 GB

Booted to Mate working Mate desktop.  Stress tests ran fine.  General applications all working.  Network and NFS OK.  Closed the lid on vlc while playing a video and it resumed when the lid was opened.  That is pretty robust.

Leaving this to run a while on this partition.
Comment 54 Len Lawrence 2018-01-13 00:22:42 CET
Updated the desktop kernel from 4.14.12 and added the server kernel.
nvidia 384.111 had been running OK.

The updates went smoothly enough but the reboot did not.  
# drakboot --boot had been run

Crash:
  mkdir: error creating directory /mnt/TV: File exists
  	...propagated at /usr/libexec/drakboot line 49.
  Perl's trace:
  drakbug::bug_handler() called from /usr/libexec/drakboot:49

The /mnt/TV entry had to be commented out in fstab before drakboot would work, which looks like a regression.
On reboot the process hung for a long time trying to mount the NFS shares and then booted to the Mate desktop under the nouveau driver!  No idea what was going on so  I ran drakx11 to specify the nvidia driver to Xorg.  No further forward - nouveau on the next boot.  Next step - removed dkms-nvidia-current and reinstalled it.  Noticed that the x11-driver had vanished, so installed that as well.  Halfway through the reboot there was an instruction to reboot to enable the new graphics driver (I think).  Another reboot and it settled down.  No clue what is going on here.  The process followed was identical to the updating of server and desktop kernels on a laptop an hour or so before.

Final system:
System:    Host: difda Kernel: 4.14.13-desktop-1.mga6 x86_64
CPU:       Quad core Intel Core i7-4790 (-HT-MCP-) speed/max: 3813/4000 MHz
Machine:   Device: desktop Mobo: MSI model: Z97-G43 (MS-7816) v: 3.0
           UEFI: American Megatrends v: V17.8 date: 12/24/2014
Graphics:  Card: NVIDIA GM204 [GeForce GTX 970]
           GLX Version: 4.5.0 NVIDIA 384.111
RAM:       31.37 GB

Next step  - shall try the same procedure on another mga6 partition on this workstation.
Comment 55 Len Lawrence 2018-01-13 00:26:49 CET
Tomorrow.
Comment 56 Herman Viaene 2018-01-13 11:36:42 CET
MGA6-64 on Lenovo B50 (Intel graphics) Plasma
No installation issues
Reboot OK, all usual functionality OK. Good enough here.

CC: (none) => herman.viaene

Thomas Backlund 2018-01-13 14:55:14 CET

Whiteboard: (none) => MGA6-64-OK, MGA6-32-OK
Keywords: (none) => validated_update
CC: (none) => sysadmin-bugs

Comment 57 Mageia Robot 2018-01-13 15:29:36 CET
An update for this issue has been pushed to the Mageia Updates repository.

https://advisories.mageia.org/MGASA-2018-0076.html

Resolution: (none) => FIXED
Status: NEW => RESOLVED


Note You need to log in before you can comment on or make changes to this bug.